package com.gestion.model;
// Generated 12-12-2019 03:19:03 PM by Hibernate Tools 5.2.12.Final

import java.util.ArrayList;
import java.util.List;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import static javax.persistence.GenerationType.IDENTITY;
import javax.persistence.Id;
import javax.persistence.OneToMany;
import javax.persistence.Table;

/**
 * Estados generated by hbm2java
 */
@Entity
@Table(name = "estados", catalog = "gestion_actividades")
public class Estados implements java.io.Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private Integer idEstado;
	private String estado;
	private List<Actividades> actividadeses = new ArrayList<Actividades>();

	public Estados() {
	}

	public Estados(String estado) {
		this.estado = estado;
	}

	public Estados(String estado, List<Actividades> actividadeses) {
		this.estado = estado;
		this.actividadeses = actividadeses;
	}

	@Id
	@GeneratedValue(strategy = IDENTITY)

	@Column(name = "id_estado", unique = true, nullable = false)
	public Integer getIdEstado() {
		return this.idEstado;
	}

	public void setIdEstado(Integer idEstado) {
		this.idEstado = idEstado;
	}

	@Column(name = "estado", nullable = false, length = 9)
	public String getEstado() {
		return this.estado;
	}

	public void setEstado(String estado) {
		this.estado = estado;
	}

	@OneToMany(fetch = FetchType.LAZY, mappedBy = "estados")

	public List<Actividades> getActividadeses() {
		return actividadeses;
	}

	public void setActividadeses(List<Actividades> actividadeses) {
		this.actividadeses = actividadeses;
	}

}
